VMTKSURFACECURVATURE(1)

NAME
vmtksurfacecurvature - vmtk script vmtksurfacecurvature

DESCRIPTION
Automatic piping vmtksurfacecurvature Parsing options vmtksurfacecurvature

vmtksurfacecurvature : compute curvature of an input surface,

    optionally reporting results back to a reference surface (by point id)

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-r ReferenceSurface (vtkPolyData,1): the reference surface

-rfile ReferenceSurfaceInputFileName (str,1): filename for the

    default ReferenceSurface reader

-type CurvatureType (str,1) in ['mean', 'gaussian', 'maximum',

    'minimum']; default=mean: the type of surface curvature to compute

-absolute AbsoluteCurvature (bool,1); default=0: output the

    absolute value of curvature

-median MedianFiltering (bool,1); default=0: output curvature after

    median filtering to suppress numerical noise speckles

-boundaries CurvatureOnBoundaries (bool,1); default=0: compute

    curvature on boundaries

-reciprocal BoundedReciprocal (bool,1); default=0: output bounded

    reciprocal of curvature

-epsilon Epsilon (float,1); default=1.0: bounded reciprocal epsilon

    at the denominator

-offset Offset (float,1); default=0.0: offset curvature by the

    specified value

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface